.news {
  width: 100%;
}
.news .news-main {
  width: 1000px;
  margin: 0 auto;
}
.news .news-main .new-content {
  --content-border-color: rgba(255, 255, 255, 0.3);
  position: relative;
  isolation: isolate;
  display: inline-grid;
  padding: 40px;
  border: 0;
  background: transparent;
  box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.6);
  clip-path: polygon(/* Top-left */ 0% var(--curve-size), var(--curve-size) 0, /* top-right */ 100% 0, 100% calc(100% - var(--curve-size)), /* bottom-right 1 */ calc(100% - var(--curve-size)) 100%, /* bottom-right 2 */ 0 100%);
  transition: color 250ms;
  font-size: 14px;
  line-height: 1.6;
  width: 100%;
}
.news .news-main .new-content:after,
.news .news-main .new-content:before {
  content: "";
  position: absolute;
  inset: 0;
}
.news .news-main .new-content:before {
  background: var(--content-border-color);
  background-size: 300% 300%;
  z-index: -2;
  opacity: 0.7;
}
.news .news-main .new-content:after {
  background: var(--bg);
  z-index: -1;
  clip-path: polygon(/* Top-left */ var(--border-width) calc(var(--curve-size) + var(--border-width) * 0.5), calc(var(--curve-size) + var(--border-width) * 0.5) var(--border-width), /* top-right */ calc(100% - var(--border-width)) var(--border-width), calc(100% - var(--border-width)) calc(100% - calc(var(--curve-size) + var(--border-width) * 0.5)), /* bottom-right 1 */ calc(100% - calc(var(--curve-size) + var(--border-width) * 0.5)) calc(100% - var(--border-width)), /* bottom-right 2 */ var(--border-width) calc(100% - var(--border-width)));
  transition: clip-path 500ms;
}
